Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	printer administration tool 
Name:		system-config-printer
Version:	1.2.6
Release:	1
URL:		http://cyberelk.net/tim/software/system-config-printer/
Group:		Development/Python
License:	GNU/GPL
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python26-pycups
Requires:	python26-pysmbc
Requires:	dbus-python26
%define		PYVER	2.6

BuildRequires: ncurses-devel
BuildRequires: readline-devel
BuildRequires: zlib-devel
BuildRequires: gettext-devel
BuildRequires: libpaper-devel
BuildRequires: glibc-common
BuildRequires: xmlto
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
# xmllint / xmlto will f**k up without flex
BuildRequires: flex-devel

BuildRequires: libudev-devel
BuildRequires: cups-devel
BuildRequires: libusb-devel
BuildRequires: glib-devel
BuildRequires: python26-devel
BuildRequires: python26
BuildRequires: desktop-file-utils

BuildRequires: sed
BuildRequires: grep
BuildRequires: findutils

BuildRequires: docbook-style-xsl
BuildRequires: docbook-dtds

#BuildRequires: strace

#Automatically resolved build dependencies
BuildRequires: coreutils

%description
The purpose of the tool is to configure a CUPS server (often the local machine) using the CUPS API.
It is largely the same as using the CUPS web interface for configuring printers, but has the advantage of being a native application rather than a web page.As a result of using the CUPS API the tool is able to configure remote CUPS instances and is not limited to configuring CUPS on the local machine. The CUPS library providing the API uses HTTP and IPP to communicate with the CUPS server.

%prep
%setup -q
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done


%build
export $LANG=de_DE
echo $LC_ALL=de_DE
%configure \
PYTHON=/usr/bin/python%{PYVER} \
CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/dbus-1/system.d/printerdriversinstaller.conf
#%{_sysconfdir}/udev/rules.d/70-printers.rules
#%{_sysconfdir}/udev/udev-add-printer
#%{_sysconfdir}/udev/udev-configure-printer
%{_sysconfdir}/dbus-1/system.d/newprinternotification.conf
%{_sysconfdir}/xdg/autostart/print-applet.desktop
#%{_bindir}/my-default-printer
%{_bindir}/system-config-printer
%{_bindir}/system-config-printer-applet
%{_mandir}/man1/system-config-printer*.1.gz
%{_datadir}/applications/manage-print-jobs.desktop
#%{_datadir}/applications/my-default-printer.desktop
%{_datadir}/applications/system-config-printer.desktop
%{_datadir}/locale/*/LC_MESSAGES/system-config-printer.mo
%{_datadir}/%{name}/
%{_libdir}/python2.6/site-packages/cupshelpers-1.0-py2.6.egg-info
%{_libdir}//python2.6/site-packages/cupshelpers

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.2.6-1
- Version update
* Tue Jul 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-1
- Version update
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.17-1
- Version update
* Thu Aug 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.11-1
- Version update
* Thu May 07 2009 Christian Wasem <wasem@ccux-linux.de> 0.9.93-2
- rebuilt with explicit /usr/bin/python2.5
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.93-1
- Initial CCux package release
